package organizer;

import nextapp.echo2.app.ApplicationInstance;
import nextapp.echo2.app.StyleSheet;
import nextapp.echo2.app.Window;
import nextapp.echo2.app.componentxml.ComponentXmlException;
import nextapp.echo2.app.componentxml.StyleSheetLoader;

/**
 * Trieda AppInstance je dcrskou triedou triedy import nextapp.echo2.app.ApplicationInstance.
 * Kadmu prihlsenmu uvateovi je pridelen jedna tto trieda. Pokia je potrebn
 * uklada nejak informcie uniktne pre kadho uvatea(naprklad login) je tto
 * trieda vo vine prpadov najlepm miestom na ich uloenie.
 */
public class AppInstance extends ApplicationInstance 
{
	public static final String PATH_TO_STYLE = "/organizer/styles/Style.xml";

	/**
	 * Metda init vracia objekt triedy Window. Window predstavuje okno prehliadaa.
	 * Objektu Window je potrebn nastavi obsah, priom obsahu <b>mus</b> by objekt
	 * typu ContentPane. V naom prpade to bude trieda MainScreen.	 * 
	 */
	public Window init() 
	{
		StyleSheet styleSheet = null;
		try {
			 styleSheet = StyleSheetLoader.load(PATH_TO_STYLE, 
					Thread.currentThread().getContextClassLoader());
		} catch (ComponentXmlException e) {
			e.printStackTrace();
		}
		setStyleSheet(styleSheet);
		
		Window window = new Window();
		MainScreen mainScreen = new MainScreen();
		window.setContent(mainScreen);
		return window;
	}

}
